; ---------------------------------------------------------------
; Easter 
; ---------------------------------------------------------------
XIncludeFile "DayCount4.pbi"

DataSection
Passah: ; day offset based 21.Mar = 0
Data.b  24,13,2,21,10,28,18,7,26,15,4,23,12,1,20,9,27,17,6
EndDataSection

Procedure Easter(year) 
  Edate.SystemTime
  Edate\wYear = year
  Edate\wMonth = 3 
  Edate\wDay = 21
  Edate\wDay + PeekB(?Passah + (year % 19))  ; from table  
  If Edate\wDay > 31 
    Edate\wDay - 31 : Edate\wMonth = 4
  EndIf 
  EasterDcount = DayCountFromDate(@Edate) 
  EasterDcount + 7 - dow(EasterDcount)       ; = following sunday
ProcedureReturn EasterDcount
EndProcedure 

Debug GetDateString("dd MMMM yyyy",Easter(2012))

; IDE Options = PureBasic 4.51 (Windows - x86)
; CursorPosition = 24
; Folding = -
; CompileSourceDirectory